KD Chart 2: KDChart::VerticalLineLayoutItem class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::VerticalLineLayoutItem Class Reference

`#include <KDChartLayoutItems.h>`

Inheritance diagram for KDChart::VerticalLineLayoutItem:

[legend]
Collaboration diagram for KDChart::VerticalLineLayoutItem:
[legend]
List of all members.

## Public Member Functions
virtual Qt::Orientations | expandingDirections () const
virtual QRect | geometry () const
virtual bool | isEmpty () const
virtual QSize | maximumSize () const
virtual QSize | minimumSize () const
virtual void | paint (QPainter *)
virtual void | paintAll (QPainter &painter)
| Default impl: just call paint.
virtual void | paintCtx (PaintContext *context)
| Default impl: Paint the complete item using its layouted position and size.
QLayout * | parentLayout ()
void | removeFromParentLayout ()
virtual void | setGeometry (const QRect &r)
void | setParentLayout (QLayout *lay)
virtual void | setParentWidget (QWidget *widget)
| Inform the item about its widget: This enables the item, to trigger that widget's update, whenever the size of the item's contents has changed.
virtual QSize | sizeHint () const
virtual void | sizeHintChanged () const
| Report changed size hint: ask the parent widget to recalculate the layout.
| VerticalLineLayoutItem ()
## Protected Attributes
QWidget * | mParent
QLayout * | mParentLayout

## Constructor & Destructor Documentation

KDChart::VerticalLineLayoutItem::VerticalLineLayoutItem | ( |  | ) |

| Definition at line 469 of file KDChartLayoutItems.cpp.
    00470     : AbstractLayoutItem( Qt::AlignCenter )
    00471 {
    00472 }

## Member Function Documentation

Qt::Orientations KDChart::VerticalLineLayoutItem::expandingDirections | ( |  | ) | const`[virtual]`

| Definition at line 474 of file KDChartLayoutItems.cpp.
    00475 {
    00476     return Qt::Vertical|Qt::Vertical; // Grow both vertically, and horizontally
    00477 }

QRect KDChart::VerticalLineLayoutItem::geometry | ( |  | ) | const`[virtual]`

| Definition at line 479 of file KDChartLayoutItems.cpp.
    00480 {
    00481     return mRect;
    00482 }

bool KDChart::VerticalLineLayoutItem::isEmpty | ( |  | ) | const`[virtual]`

| Definition at line 484 of file KDChartLayoutItems.cpp.
    00485 {
    00486     return false; // never empty, otherwise the layout item would not exist
    00487 }

QSize KDChart::VerticalLineLayoutItem::maximumSize | ( |  | ) | const`[virtual]`

| Definition at line 489 of file KDChartLayoutItems.cpp.
    00490 {
    00491     return QSize( QWIDGETSIZE_MAX, QWIDGETSIZE_MAX );
    00492 }

QSize KDChart::VerticalLineLayoutItem::minimumSize | ( |  | ) | const`[virtual]`

| Definition at line 494 of file KDChartLayoutItems.cpp.
    00495 {
    00496     return QSize( 0, 0 );
    00497 }

void KDChart::VerticalLineLayoutItem::paint | ( | QPainter * |  | ) | `[virtual]`

| Implements KDChart::AbstractLayoutItem. Definition at line 510 of file KDChartLayoutItems.cpp.
    00511 {
    00512     if( !mRect.isValid() )
    00513         return;
    00514
    00515     painter->drawLine( QPointF( mRect.center().x(), mRect.top() ),
    00516                        QPointF( mRect.center().x(), mRect.bottom() ) );
    00517 }

void KDChart::AbstractLayoutItem::paintAll | ( | QPainter & | painter | ) | `[virtual, inherited]`

| Default impl: just call paint. Derived classes like KDChart::AbstractArea are providing additional action here. Reimplemented in KDChart::AbstractArea, and KDChart::TextArea. Definition at line 69 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::paint().
    00070 {
    00071     paint( &painter );
    00072 }

void KDChart::AbstractLayoutItem::paintCtx | ( | PaintContext * | context | ) | `[virtual, inherited]`

| Default impl: Paint the complete item using its layouted position and size. Reimplemented in KDChart::CartesianAxis. Definition at line 77 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::paint(), and KDChart::PaintContext::painter().
    00078 {
    00079     if( context )
    00080         paint( context->painter() );
    00081 }

QLayout* KDChart::AbstractLayoutItem::parentLayout | ( |  | ) | `[inherited]`

| Definition at line 74 of file KDChartLayoutItems.h.
    00075         {
    00076             return mParentLayout;
    00077         }

void KDChart::AbstractLayoutItem::removeFromParentLayout | ( |  | ) | `[inherited]`

| Definition at line 78 of file KDChartLayoutItems.h. Referenced by KDChart::Chart::takeCoordinatePlane().
    00079         {
    00080             if( mParentLayout ){
    00081                 if( widget() )
    00082                     mParentLayout->removeWidget( widget() );
    00083                 else
    00084                     mParentLayout->removeItem( this );
    00085             }
    00086         }

void KDChart::VerticalLineLayoutItem::setGeometry | ( | const QRect & | r | ) | `[virtual]`

| Definition at line 499 of file KDChartLayoutItems.cpp.
    00500 {
    00501     mRect = r;
    00502 }

void KDChart::AbstractLayoutItem::setParentLayout | ( | QLayout * | lay | ) | `[inherited]`

| Definition at line 70 of file KDChartLayoutItems.h.
    00071         {
    00072             mParentLayout = lay;
    00073         }

void KDChart::AbstractLayoutItem::setParentWidget | ( | QWidget * | widget | ) | `[virtual, inherited]`

| Inform the item about its widget: This enables the item, to trigger that widget's update, whenever the size of the item's contents has changed. Thus, you need to call setParentWidget on every item, that has a non-fixed size. Definition at line 64 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::mParent. Referenced by KDChart::Legend::buildLegend(), and KDChart::AbstractCartesianDiagram::takeAxis().
    00065 {
    00066     mParent = widget;
    00067 }

QSize KDChart::VerticalLineLayoutItem::sizeHint | ( |  | ) | const`[virtual]`

| Definition at line 504 of file KDChartLayoutItems.cpp.
    00505 {
    00506     return QSize( 3, -1 ); // see qframe.cpp
    00507 }

void KDChart::AbstractLayoutItem::sizeHintChanged | ( |  | ) | const`[virtual, inherited]`

| Report changed size hint: ask the parent widget to recalculate the layout. Definition at line 86 of file KDChartLayoutItems.cpp. Referenced by KDChart::TextLayoutItem::sizeHint().
    00087 {
    00088     // This is exactly like what QWidget::updateGeometry does.
    00089 //  qDebug("KDChart::AbstractLayoutItem::sizeHintChanged() called");
    00090     if( mParent ) {
    00091         if ( mParent->layout() )
    00092             mParent->layout()->invalidate();
    00093         else
    00094             QApplication::postEvent( mParent, new QEvent( QEvent::LayoutRequest ) );
    00095     }
    00096 }

## Member Data Documentation

QWidget* KDChart::AbstractLayoutItem::mParent`[protected, inherited]`

| Definition at line 88 of file KDChartLayoutItems.h. Referenced by KDChart::AbstractLayoutItem::setParentWidget().

QLayout* KDChart::AbstractLayoutItem::mParentLayout`[protected, inherited]`

| Definition at line 89 of file KDChartLayoutItems.h.

The documentation for this class was generated from the following files:

- KDChartLayoutItems.h
- KDChartLayoutItems.cpp